Bug 250557 - kernel panic / no more booting
kernel panic / no more booting
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 03:52 EDT by Steve
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: kernel.i686 2.6.23-0.71.rc2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 04:16:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
picture of kernel panic (2.95 MB, image/jpeg)
2007-08-02 03:52 EDT, Steve
no flags Details
initrd-2.6.23-0.61.rc1.git9.fc8.img (3.18 MB, application/octet-stream)
2007-08-03 04:18 EDT, Steve
no flags Details
picture of kernel panic (3.12 MB, image/jpeg)
2007-08-06 10:22 EDT, Steve
no flags Details

  None (edit)
Description Steve 2007-08-02 03:52:41 EDT
Description of problem:
cannot boot since kernel-2.6.23-0.29.rc0.git6.fc8

Version-Release number of selected component (if applicable):
kernel-2.6.23-0.29.rc0.git6.fc8
kernel-2.6.23-0.61.rc1.git9.fc8

How reproducible:


Steps to Reproduce:
1.install newest devel kernel 
2.reboot
3.
  
Actual results:
kernel does not boot

Expected results:
kernel should boot

Additional info:
Comment 1 Steve 2007-08-02 03:52:58 EDT
Created attachment 160503 [details]
picture of kernel panic
Comment 2 Chuck Ebbert 2007-08-02 18:06:58 EDT
Something is wrong with the initrd. Please upload it as an attachment.
(It is the file /boot/initrd-<kernel_version>)
Comment 3 Steve 2007-08-03 04:18:42 EDT
Created attachment 160590 [details]
initrd-2.6.23-0.61.rc1.git9.fc8.img
Comment 4 Chuck Ebbert 2007-08-03 18:45:32 EDT
mkinitrd didn't put any of the required kernel modules into the initrd.
I would try uninstalling then reinstalling the kernel.
(Or just rebuild the initrd with mkinitrd if you know how.)

Comment 5 Steve 2007-08-04 02:42:04 EDT
why should reinstalling work? i installed every kernel since
kernel-2.6.23-0.29.rc0.git6.fc8.
Comment 6 Jarod Wilson 2007-08-04 21:12:03 EDT
I might suggest manually re-running mkinitrd in verbose mode to more or less accomplish the same 
thing:

# mkinitrd -v -f /boot/initrd-2.6.23-0.61.rc1.git9.fc8 2.6.23-0.61.rc1.git9.fc8

The output there may give some indication as to why we're falling down and not putting any kernel 
modules in the initrd.
Comment 7 Steve 2007-08-05 04:06:23 EDT
# mkinitrd -v -f /boot/initrd-2.6.23-0.70.rc1.git13.fc8
initrd-2.6.23-0.70.rc1.git13.fc8
No modules available for kernel "initrd-2.6.23-0.70.rc1.git13.fc8".
Comment 8 Steve 2007-08-05 04:09:07 EDT
sorry, previous message was wrong

# mkinitrd -v -f /boot/initrd-2.6.23-0.70.rc1.git13.fc8 2.6.23-0.70.rc1.git13.fc8
Creating initramfs
Looking for deps of module uhci-hcd
Looking for deps of module ohci-hcd
Looking for deps of module ehci-hcd
Looking for deps of module ext3: mbcache jbd 
Looking for deps of module mbcache
Looking for deps of module jbd
Looking for driver for device sda2
Looking for deps of module scsi:t-0x00: scsi_mod sd_mod 
Looking for deps of module scsi_mod
Looking for deps of module sd_mod: scsi_mod 
Looking for deps of module scsi_wait_scan: scsi_mod 
Looking for deps of module
pci:v00001039d00005513sv00001043sd00008087bc01sc01i8a: scsi_mod libata pata_sis
scsi_mod libata ata_generic 
Looking for deps of module libata: scsi_mod 
Looking for deps of module pata_sis: scsi_mod libata 
Looking for deps of module ata_generic: scsi_mod libata 
Looking for deps of module ide-disk
Looking for deps of module dm-mod
Looking for deps of module dm-mirror: dm-mod 
Looking for deps of module dm-zero: dm-mod 
Looking for deps of module dm-snapshot: dm-mod 
Using modules: 
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/usb/host/uhci-hcd.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/usb/host/ohci-hcd.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/usb/host/ehci-hcd.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/fs/mbcache.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/fs/jbd/jbd.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/fs/ext3/ext3.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/scsi/scsi_mod.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/scsi/sd_mod.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/ata/libata.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/ata/pata_sis.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/ata/ata_generic.ko 
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-mod.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-mirror.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-zero.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-snapshot.ko
Building initrd in /tmp/initrd.Sg2792
/sbin/nash -> /tmp/initrd.Sg2792/bin/nash
  /usr/lib/libnash.so.6.0.9 -> /tmp/initrd.Sg2792/usr/lib/libnash.so.6.0.9
  /usr/lib/libbdevid.so.6.0.9 -> /tmp/initrd.Sg2792/usr/lib/libbdevid.so.6.0.9
  /lib/libdevmapper.so.1.02 -> /tmp/initrd.Sg2792/lib/libdevmapper.so.1.02
  /usr/lib/libparted-1.8.so.6 -> /tmp/initrd.Sg2792/usr/lib/libparted-1.8.so.6
    /usr/lib/libparted-1.8.so.6.0.0 ->
/tmp/initrd.Sg2792/usr/lib/libparted-1.8.so.6.0.0
  /lib/libblkid.so.1 -> /tmp/initrd.Sg2792/lib/libblkid.so.1
    /lib/libblkid.so.1.0 -> /tmp/initrd.Sg2792/lib/libblkid.so.1.0
  /lib/libselinux.so.1 -> /tmp/initrd.Sg2792/lib/libselinux.so.1
  /lib/libsepol.so.1 -> /tmp/initrd.Sg2792/lib/libsepol.so.1
  /lib/libuuid.so.1 -> /tmp/initrd.Sg2792/lib/libuuid.so.1
    /lib/libuuid.so.1.2 -> /tmp/initrd.Sg2792/lib/libuuid.so.1.2
  /usr/lib/libpopt.so.0 -> /tmp/initrd.Sg2792/usr/lib/libpopt.so.0
    /usr/lib/libpopt.so.0.0.0 -> /tmp/initrd.Sg2792/usr/lib/libpopt.so.0.0.0
  /lib/libresolv.so.2 -> /tmp/initrd.Sg2792/lib/libresolv.so.2
    /lib/libresolv-2.6.90.so -> /tmp/initrd.Sg2792/lib/libresolv-2.6.90.so
      /lib/libc.so.6 -> /tmp/initrd.Sg2792/lib/libc.so.6
        /lib/libc-2.6.90.so -> /tmp/initrd.Sg2792/lib/libc-2.6.90.so
          /lib/ld-lsb.so.3 -> /tmp/initrd.Sg2792/lib/ld-lsb.so.3
            /lib/ld-2.6.90.so -> /tmp/initrd.Sg2792/lib/ld-2.6.90.so
  /lib/libdl.so.2 -> /tmp/initrd.Sg2792/lib/libdl.so.2
    /lib/libdl-2.6.90.so -> /tmp/initrd.Sg2792/lib/libdl-2.6.90.so
  /usr/lib/libdhcp.so.1 -> /tmp/initrd.Sg2792/usr/lib/libdhcp.so.1
  /usr/lib/libnl.so.1 -> /tmp/initrd.Sg2792/usr/lib/libnl.so.1
    /usr/lib/libnl.so.1.0-pre5 -> /tmp/initrd.Sg2792/usr/lib/libnl.so.1.0-pre5
  /usr/lib/libdhcp4client-3.0.6.so.0 ->
/tmp/initrd.Sg2792/usr/lib/libdhcp4client-3.0.6.so.0
  /usr/lib/libdhcp6client-0.10.so.0 ->
/tmp/initrd.Sg2792/usr/lib/libdhcp6client-0.10.so.0
  /lib/libglib-2.0.so.0 -> /tmp/initrd.Sg2792/lib/libglib-2.0.so.0
    /lib/libglib-2.0.so.0.1307.0 -> /tmp/initrd.Sg2792/lib/libglib-2.0.so.0.1307.0
  /lib/libm.so.6 -> /tmp/initrd.Sg2792/lib/libm.so.6
    /lib/libm-2.6.90.so -> /tmp/initrd.Sg2792/lib/libm-2.6.90.so
  /lib/libcrypto.so.6 -> /tmp/initrd.Sg2792/lib/libcrypto.so.6
    /lib/libcrypto.so.0.9.8b -> /tmp/initrd.Sg2792/lib/libcrypto.so.0.9.8b
  /lib/libz.so.1 -> /tmp/initrd.Sg2792/lib/libz.so.1
    /lib/libz.so.1.2.3 -> /tmp/initrd.Sg2792/lib/libz.so.1.2.3
/sbin/insmod -> /tmp/initrd.Sg2792/bin/insmod
/sbin/rmmod -> /tmp/initrd.Sg2792/bin/rmmod
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
/sbin/lvm -> /tmp/initrd.Sg2792/bin/lvm
  /sbin/lvm.static -> /tmp/initrd.Sg2792/sbin/lvm.static
/etc/lvm -> /tmp/initrd.Sg2792/etc/lvm
`/etc/lvm/lvm.conf' -> `/tmp/initrd.Sg2792/etc/lvm/lvm.conf'
Adding module scsi_wait_scan
/usr/bin/strip: error while loading shared libraries: libbfd-2.17.50.0.17-2.so:
cannot open shared object file: No such file or directory
Adding module uhci-hcd
Adding module ohci-hcd
Adding module ehci-hcd
Adding module mbcache
Adding module jbd
Adding module ext3
Adding module scsi_mod
Adding module sd_mod
Adding module libata
Adding module pata_sis
Adding module ata_generic
Adding module dm-mod
Adding module dm-mirror
Adding module dm-zero
Adding module dm-snapshot
This initrd uses dynamic shared objects.
Adding dynamic linker configuration files.
/etc/ld.so.conf -> /tmp/initrd.Sg2792/etc/ld.so.conf
Running ldconfig
Comment 9 Steve 2007-08-05 04:21:02 EDT
after installing missing(?) binutils, it is also not running.

# mkinitrd -v -f /boot/initrd-2.6.23-0.70.rc1.git13.fc8 2.6.23-0.70.rc1.git13.fc8
Creating initramfs
Looking for deps of module uhci-hcd
Looking for deps of module ohci-hcd
Looking for deps of module ehci-hcd
Looking for deps of module ext3: mbcache jbd 
Looking for deps of module mbcache
Looking for deps of module jbd
Looking for driver for device sda2
Looking for deps of module scsi:t-0x00: scsi_mod sd_mod 
Looking for deps of module scsi_mod
Looking for deps of module sd_mod: scsi_mod 
Looking for deps of module scsi_wait_scan: scsi_mod 
Looking for deps of module
pci:v00001039d00005513sv00001043sd00008087bc01sc01i8a: scsi_mod libata pata_sis
scsi_mod libata ata_generic 
Looking for deps of module libata: scsi_mod 
Looking for deps of module pata_sis: scsi_mod libata 
Looking for deps of module ata_generic: scsi_mod libata 
Looking for deps of module ide-disk
Looking for deps of module dm-mod
Looking for deps of module dm-mirror: dm-mod 
Looking for deps of module dm-zero: dm-mod 
Looking for deps of module dm-snapshot: dm-mod 
Using modules: 
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/usb/host/uhci-hcd.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/usb/host/ohci-hcd.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/usb/host/ehci-hcd.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/fs/mbcache.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/fs/jbd/jbd.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/fs/ext3/ext3.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/scsi/scsi_mod.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/scsi/sd_mod.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/ata/libata.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/ata/pata_sis.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/ata/ata_generic.ko 
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-mod.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-mirror.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-zero.ko
/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-snapshot.ko
Building initrd in /tmp/initrd.xk2523
/sbin/nash -> /tmp/initrd.xk2523/bin/nash
  /usr/lib/libnash.so.6.0.9 -> /tmp/initrd.xk2523/usr/lib/libnash.so.6.0.9
  /usr/lib/libbdevid.so.6.0.9 -> /tmp/initrd.xk2523/usr/lib/libbdevid.so.6.0.9
  /lib/libdevmapper.so.1.02 -> /tmp/initrd.xk2523/lib/libdevmapper.so.1.02
  /usr/lib/libparted-1.8.so.6 -> /tmp/initrd.xk2523/usr/lib/libparted-1.8.so.6
    /usr/lib/libparted-1.8.so.6.0.0 ->
/tmp/initrd.xk2523/usr/lib/libparted-1.8.so.6.0.0
  /lib/libblkid.so.1 -> /tmp/initrd.xk2523/lib/libblkid.so.1
    /lib/libblkid.so.1.0 -> /tmp/initrd.xk2523/lib/libblkid.so.1.0
  /lib/libselinux.so.1 -> /tmp/initrd.xk2523/lib/libselinux.so.1
  /lib/libsepol.so.1 -> /tmp/initrd.xk2523/lib/libsepol.so.1
  /lib/libuuid.so.1 -> /tmp/initrd.xk2523/lib/libuuid.so.1
    /lib/libuuid.so.1.2 -> /tmp/initrd.xk2523/lib/libuuid.so.1.2
  /usr/lib/libpopt.so.0 -> /tmp/initrd.xk2523/usr/lib/libpopt.so.0
    /usr/lib/libpopt.so.0.0.0 -> /tmp/initrd.xk2523/usr/lib/libpopt.so.0.0.0
  /lib/libresolv.so.2 -> /tmp/initrd.xk2523/lib/libresolv.so.2
    /lib/libresolv-2.6.90.so -> /tmp/initrd.xk2523/lib/libresolv-2.6.90.so
      /lib/libc.so.6 -> /tmp/initrd.xk2523/lib/libc.so.6
        /lib/libc-2.6.90.so -> /tmp/initrd.xk2523/lib/libc-2.6.90.so
          /lib/ld-lsb.so.3 -> /tmp/initrd.xk2523/lib/ld-lsb.so.3
            /lib/ld-2.6.90.so -> /tmp/initrd.xk2523/lib/ld-2.6.90.so
  /lib/libdl.so.2 -> /tmp/initrd.xk2523/lib/libdl.so.2
    /lib/libdl-2.6.90.so -> /tmp/initrd.xk2523/lib/libdl-2.6.90.so
  /usr/lib/libdhcp.so.1 -> /tmp/initrd.xk2523/usr/lib/libdhcp.so.1
  /usr/lib/libnl.so.1 -> /tmp/initrd.xk2523/usr/lib/libnl.so.1
    /usr/lib/libnl.so.1.0-pre5 -> /tmp/initrd.xk2523/usr/lib/libnl.so.1.0-pre5
  /usr/lib/libdhcp4client-3.0.6.so.0 ->
/tmp/initrd.xk2523/usr/lib/libdhcp4client-3.0.6.so.0
  /usr/lib/libdhcp6client-0.10.so.0 ->
/tmp/initrd.xk2523/usr/lib/libdhcp6client-0.10.so.0
  /lib/libglib-2.0.so.0 -> /tmp/initrd.xk2523/lib/libglib-2.0.so.0
    /lib/libglib-2.0.so.0.1307.0 -> /tmp/initrd.xk2523/lib/libglib-2.0.so.0.1307.0
  /lib/libm.so.6 -> /tmp/initrd.xk2523/lib/libm.so.6
    /lib/libm-2.6.90.so -> /tmp/initrd.xk2523/lib/libm-2.6.90.so
  /lib/libcrypto.so.6 -> /tmp/initrd.xk2523/lib/libcrypto.so.6
    /lib/libcrypto.so.0.9.8b -> /tmp/initrd.xk2523/lib/libcrypto.so.0.9.8b
  /lib/libz.so.1 -> /tmp/initrd.xk2523/lib/libz.so.1
    /lib/libz.so.1.2.3 -> /tmp/initrd.xk2523/lib/libz.so.1.2.3
/sbin/insmod -> /tmp/initrd.xk2523/bin/insmod
/sbin/rmmod -> /tmp/initrd.xk2523/bin/rmmod
copy from
`/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/usb/host/uhci-hcd.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/uhci-hcd.ko' [elf32-i386]
copy from
`/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/usb/host/ohci-hcd.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/ohci-hcd.ko' [elf32-i386]
copy from
`/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/usb/host/ehci-hcd.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/ehci-hcd.ko' [elf32-i386]
copy from `/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/fs/mbcache.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/mbcache.ko' [elf32-i386]
copy from `/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/fs/jbd/jbd.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/jbd.ko' [elf32-i386]
copy from `/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/fs/ext3/ext3.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/ext3.ko' [elf32-i386]
copy from
`/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/scsi/scsi_mod.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/scsi_mod.ko' [elf32-i386]
copy from `/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/scsi/sd_mod.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/sd_mod.ko' [elf32-i386]
copy from `/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/ata/libata.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/libata.ko' [elf32-i386]
copy from
`/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/ata/pata_sis.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/pata_sis.ko' [elf32-i386]
copy from
`/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/ata/ata_generic.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/ata_generic.ko' [elf32-i386]
copy from `/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-mod.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/dm-mod.ko' [elf32-i386]
copy from
`/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-mirror.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/dm-mirror.ko' [elf32-i386]
copy from `/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-zero.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/dm-zero.ko' [elf32-i386]
copy from
`/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/md/dm-snapshot.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/dm-snapshot.ko' [elf32-i386]
/sbin/lvm -> /tmp/initrd.xk2523/bin/lvm
  /sbin/lvm.static -> /tmp/initrd.xk2523/sbin/lvm.static
/etc/lvm -> /tmp/initrd.xk2523/etc/lvm
`/etc/lvm/lvm.conf' -> `/tmp/initrd.xk2523/etc/lvm/lvm.conf'
Adding module scsi_wait_scan
copy from
`/lib/modules/2.6.23-0.70.rc1.git13.fc8/kernel/drivers/scsi/scsi_wait_scan.ko'
[elf32-i386] to `/tmp/initrd.xk2523/lib/scsi_wait_scan.ko' [elf32-i386]
Adding module uhci-hcd
Adding module ohci-hcd
Adding module ehci-hcd
Adding module mbcache
Adding module jbd
Adding module ext3
Adding module scsi_mod
Adding module sd_mod
Adding module libata
Adding module pata_sis
Adding module ata_generic
Adding module dm-mod
Adding module dm-mirror
Adding module dm-zero
Adding module dm-snapshot
This initrd uses dynamic shared objects.
Adding dynamic linker configuration files.
/etc/ld.so.conf -> /tmp/initrd.xk2523/etc/ld.so.conf
Running ldconfig
Comment 10 Jarod Wilson 2007-08-05 23:31:23 EDT
> after installing missing(?) binutils, it is also not running.

What do you mean by "it is also not running" ? It looks like mkinitrd ran okay there, and properly included 
a pata_sis driver (here's hoping you have an IDE drive hooked to a SIS controller... :).
Comment 11 Steve 2007-08-06 03:15:19 EDT
i mean there is also a kernel panic after successfully running mkinitrd with
kernel-2.6.23-0.70.rc1.git13.fc8. yes, i have an ide-drive connected and
kernel-2.6.23-0.29.rc0.git6.fc8 is booting normally.
Comment 12 Jarod Wilson 2007-08-06 09:21:47 EDT
Does the kernel panic look the same as the one in the picture in comment #1, or
is it something different now?
Comment 13 Steve 2007-08-06 10:22:22 EDT
Created attachment 160748 [details]
picture of kernel panic

it looks a little bit different..
Comment 14 Jarod Wilson 2007-08-06 11:00:04 EDT
Odd. And can you confirm that this is from trying to boot kernel
2.6.23-0.70.rc1.git13.fc8 and not one of the earlier kernels? The mkinitrd
output suggests those modules should have been put into the initrd for that
kernel. If that output really is from that kernel, I'm at a loss...
Comment 15 Steve 2007-08-06 11:20:05 EDT
Hmm.. May be something there was going wrong from an update. I will try
installing FC8-test-1 when it is released. When i can boot after installing,
then the problem is gone and this report obsolete...
Comment 16 Steve 2007-08-07 04:16:34 EDT
kernel.i686 2.6.23-0.71.rc2.fc8 is booting now!

here is the yum.log from today:
Aug 07 10:07:08 Updated: glibc-common.i386 2.6.90-4
Aug 07 10:07:18 Updated: glibc.i686 2.6.90-4
Aug 07 10:07:19 Updated: glib2.i386 2.14.0-1.fc8
Aug 07 10:07:24 Updated: gtk2.i386 2.11.6-5.fc8
Aug 07 10:07:25 Updated: hpijs.i386 2.7.7-1.fc8
Aug 07 10:07:25 Updated: liboil.i386 0.3.12-4.fc8
Aug 07 10:07:25 Updated: gstreamer-tools.i386 0.10.14-2.fc8
Aug 07 10:07:27 Updated: gstreamer.i386 0.10.14-2.fc8
Aug 07 10:07:28 Updated: gstreamer-plugins-base.i386 0.10.14-2.fc8
Aug 07 10:07:29 Updated: libsane-hpaio.i386 2.7.7-1.fc8
Aug 07 10:07:29 Updated: libmp4v2.i386 1.5.0.1-4.fc8
Aug 07 10:07:32 Installed: util-linux.i386 2.13-0.52.fc7
Aug 07 10:07:33 Updated: rarian.i386 0.5.6-4.fc8
Aug 07 10:07:33 Updated: rarian-compat.i386 0.5.6-4.fc8
Aug 07 10:08:06 Updated: gnome-applets.i386 2.19.1-4.fc8
Aug 07 10:08:34 Updated: gnome-games.i386 2.19.6-3.fc8
Aug 07 10:08:58 Installed: kernel.i686 2.6.23-0.71.rc2.fc8
Aug 07 10:08:59 Updated: nscd.i386 2.6.90-4
Aug 07 10:09:01 Updated: hplip.i386 2.7.7-1.fc8
Aug 07 10:09:03 Updated: system-config-language.noarch 1.2.6-1.fc8
Aug 07 10:09:04 Updated: xorg-x11-drv-ati.i386 6.6.193-1.fc8

was it util-linux??

thx for your time..
Comment 17 Jarod Wilson 2007-08-07 16:29:22 EDT
Hrm, a missing util-linux certainly could cause some interesting problems... Not
sure how that managed to not be on the system in the first place though...

Note You need to log in before you can comment on or make changes to this bug.